md temp
del temp\30_test*.*

REM build headers

cc65\bin\ca65 30_test_header.s -D PRG_BANKS=32 -D CHR_BANKS=0 -D SUBMAPPER=0 -D WRAM=0  -D BATTERY=0 -g -o temp\30_test_header_0.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ca65 30_test_header.s -D PRG_BANKS=32 -D CHR_BANKS=0 -D SUBMAPPER=1 -D WRAM=0  -D BATTERY=0 -g -o temp\30_test_header_1.o
cc65\bin\ca65 30_test_header.s -D PRG_BANKS=32 -D CHR_BANKS=0 -D SUBMAPPER=2 -D WRAM=0  -D BATTERY=0 -g -o temp\30_test_header_2.o
cc65\bin\ca65 30_test_header.s -D PRG_BANKS=32 -D CHR_BANKS=0 -D SUBMAPPER=0 -D WRAM=13 -D BATTERY=1 -g -o temp\30_test_header_0b.o
cc65\bin\ca65 30_test_header.s -D PRG_BANKS=32 -D CHR_BANKS=0 -D SUBMAPPER=1 -D WRAM=13 -D BATTERY=1 -g -o temp\30_test_header_1b.o
cc65\bin\ca65 30_test_header.s -D PRG_BANKS=32 -D CHR_BANKS=0 -D SUBMAPPER=2 -D WRAM=13 -D BATTERY=1 -g -o temp\30_test_header_2b.o 

cc65\bin\ld65 -o temp\30_test_header_0.bin  -C header.cfg temp\30_test_header_0.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ld65 -o temp\30_test_header_1.bin  -C header.cfg temp\30_test_header_1.o
cc65\bin\ld65 -o temp\30_test_header_2.bin  -C header.cfg temp\30_test_header_2.o
cc65\bin\ld65 -o temp\30_test_header_0b.bin -C header.cfg temp\30_test_header_0b.o
cc65\bin\ld65 -o temp\30_test_header_1b.bin -C header.cfg temp\30_test_header_1b.o
cc65\bin\ld65 -o temp\30_test_header_2b.bin -C header.cfg temp\30_test_header_2b.o

REM build PRG banks

cc65\bin\ca65 30_test.s -D BANK=$00 -g -o temp\30_test_00.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ca65 30_test.s -D BANK=$01 -g -o temp\30_test_01.o
cc65\bin\ca65 30_test.s -D BANK=$02 -g -o temp\30_test_02.o
cc65\bin\ca65 30_test.s -D BANK=$03 -g -o temp\30_test_03.o
cc65\bin\ca65 30_test.s -D BANK=$04 -g -o temp\30_test_04.o
cc65\bin\ca65 30_test.s -D BANK=$05 -g -o temp\30_test_05.o
cc65\bin\ca65 30_test.s -D BANK=$06 -g -o temp\30_test_06.o
cc65\bin\ca65 30_test.s -D BANK=$07 -g -o temp\30_test_07.o
cc65\bin\ca65 30_test.s -D BANK=$08 -g -o temp\30_test_08.o
cc65\bin\ca65 30_test.s -D BANK=$09 -g -o temp\30_test_09.o
cc65\bin\ca65 30_test.s -D BANK=$0A -g -o temp\30_test_0A.o
cc65\bin\ca65 30_test.s -D BANK=$0B -g -o temp\30_test_0B.o
cc65\bin\ca65 30_test.s -D BANK=$0C -g -o temp\30_test_0C.o
cc65\bin\ca65 30_test.s -D BANK=$0D -g -o temp\30_test_0D.o
cc65\bin\ca65 30_test.s -D BANK=$0E -g -o temp\30_test_0E.o
cc65\bin\ca65 30_test.s -D BANK=$0F -g -o temp\30_test_0F.o
cc65\bin\ca65 30_test.s -D BANK=$10 -g -o temp\30_test_10.o
cc65\bin\ca65 30_test.s -D BANK=$11 -g -o temp\30_test_11.o
cc65\bin\ca65 30_test.s -D BANK=$12 -g -o temp\30_test_12.o
cc65\bin\ca65 30_test.s -D BANK=$13 -g -o temp\30_test_13.o
cc65\bin\ca65 30_test.s -D BANK=$14 -g -o temp\30_test_14.o
cc65\bin\ca65 30_test.s -D BANK=$15 -g -o temp\30_test_15.o
cc65\bin\ca65 30_test.s -D BANK=$16 -g -o temp\30_test_16.o
cc65\bin\ca65 30_test.s -D BANK=$17 -g -o temp\30_test_17.o
cc65\bin\ca65 30_test.s -D BANK=$18 -g -o temp\30_test_18.o
cc65\bin\ca65 30_test.s -D BANK=$19 -g -o temp\30_test_19.o
cc65\bin\ca65 30_test.s -D BANK=$1A -g -o temp\30_test_1A.o
cc65\bin\ca65 30_test.s -D BANK=$1B -g -o temp\30_test_1B.o
cc65\bin\ca65 30_test.s -D BANK=$1C -g -o temp\30_test_1C.o
cc65\bin\ca65 30_test.s -D BANK=$1D -g -o temp\30_test_1D.o
cc65\bin\ca65 30_test.s -D BANK=$1E -g -o temp\30_test_1E.o
cc65\bin\ca65 30_test.s -D BANK=$1F -g -o temp\30_test_1F.o

cc65\bin\ld65 -o temp\30_test_00.bin -C 30_test.cfg temp\30_test_00.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ld65 -o temp\30_test_01.bin -C 30_test.cfg temp\30_test_01.o
cc65\bin\ld65 -o temp\30_test_02.bin -C 30_test.cfg temp\30_test_02.o
cc65\bin\ld65 -o temp\30_test_03.bin -C 30_test.cfg temp\30_test_03.o
cc65\bin\ld65 -o temp\30_test_04.bin -C 30_test.cfg temp\30_test_04.o
cc65\bin\ld65 -o temp\30_test_05.bin -C 30_test.cfg temp\30_test_05.o
cc65\bin\ld65 -o temp\30_test_06.bin -C 30_test.cfg temp\30_test_06.o
cc65\bin\ld65 -o temp\30_test_07.bin -C 30_test.cfg temp\30_test_07.o
cc65\bin\ld65 -o temp\30_test_08.bin -C 30_test.cfg temp\30_test_08.o
cc65\bin\ld65 -o temp\30_test_09.bin -C 30_test.cfg temp\30_test_09.o
cc65\bin\ld65 -o temp\30_test_0A.bin -C 30_test.cfg temp\30_test_0A.o
cc65\bin\ld65 -o temp\30_test_0B.bin -C 30_test.cfg temp\30_test_0B.o
cc65\bin\ld65 -o temp\30_test_0C.bin -C 30_test.cfg temp\30_test_0C.o
cc65\bin\ld65 -o temp\30_test_0D.bin -C 30_test.cfg temp\30_test_0D.o
cc65\bin\ld65 -o temp\30_test_0E.bin -C 30_test.cfg temp\30_test_0E.o
cc65\bin\ld65 -o temp\30_test_0F.bin -C 30_test.cfg temp\30_test_0F.o
cc65\bin\ld65 -o temp\30_test_10.bin -C 30_test.cfg temp\30_test_10.o
cc65\bin\ld65 -o temp\30_test_11.bin -C 30_test.cfg temp\30_test_11.o
cc65\bin\ld65 -o temp\30_test_12.bin -C 30_test.cfg temp\30_test_12.o
cc65\bin\ld65 -o temp\30_test_13.bin -C 30_test.cfg temp\30_test_13.o
cc65\bin\ld65 -o temp\30_test_14.bin -C 30_test.cfg temp\30_test_14.o
cc65\bin\ld65 -o temp\30_test_15.bin -C 30_test.cfg temp\30_test_15.o
cc65\bin\ld65 -o temp\30_test_16.bin -C 30_test.cfg temp\30_test_16.o
cc65\bin\ld65 -o temp\30_test_17.bin -C 30_test.cfg temp\30_test_17.o
cc65\bin\ld65 -o temp\30_test_18.bin -C 30_test.cfg temp\30_test_18.o
cc65\bin\ld65 -o temp\30_test_19.bin -C 30_test.cfg temp\30_test_19.o
cc65\bin\ld65 -o temp\30_test_1A.bin -C 30_test.cfg temp\30_test_1A.o
cc65\bin\ld65 -o temp\30_test_1B.bin -C 30_test.cfg temp\30_test_1B.o
cc65\bin\ld65 -o temp\30_test_1C.bin -C 30_test.cfg temp\30_test_1C.o
cc65\bin\ld65 -o temp\30_test_1D.bin -C 30_test.cfg temp\30_test_1D.o
cc65\bin\ld65 -o temp\30_test_1E.bin -C 30_test.cfg temp\30_test_1E.o
cc65\bin\ld65 -o temp\30_test_1F.bin -C 30_test.cfg temp\30_test_1F.o

; REM assemble ROMs

copy /b temp\30_test_00.bin + temp\30_test_01.bin + temp\30_test_02.bin + temp\30_test_03.bin   temp\30_test_0003.bin
copy /b temp\30_test_04.bin + temp\30_test_05.bin + temp\30_test_06.bin + temp\30_test_07.bin   temp\30_test_0407.bin
copy /b temp\30_test_08.bin + temp\30_test_09.bin + temp\30_test_0A.bin + temp\30_test_0B.bin   temp\30_test_080B.bin
copy /b temp\30_test_0C.bin + temp\30_test_0D.bin + temp\30_test_0E.bin + temp\30_test_0F.bin   temp\30_test_0C0F.bin
copy /b temp\30_test_10.bin + temp\30_test_11.bin + temp\30_test_12.bin + temp\30_test_13.bin   temp\30_test_1013.bin
copy /b temp\30_test_14.bin + temp\30_test_15.bin + temp\30_test_16.bin + temp\30_test_17.bin   temp\30_test_1417.bin
copy /b temp\30_test_18.bin + temp\30_test_19.bin + temp\30_test_1A.bin + temp\30_test_1B.bin   temp\30_test_181B.bin
copy /b temp\30_test_1C.bin + temp\30_test_1D.bin + temp\30_test_1E.bin + temp\30_test_1F.bin   temp\30_test_1C1F.bin

copy /b temp\30_test_0003.bin + temp\30_test_0407.bin + temp\30_test_080B.bin + temp\30_test_0C0F.bin   temp\30_test_000F.bin
copy /b temp\30_test_1013.bin + temp\30_test_1417.bin + temp\30_test_181B.bin + temp\30_test_1C1F.bin   temp\30_test_101F.bin

copy /b temp\30_test_000F.bin + temp\30_test_101F.bin   temp\30_test_001F.bin

copy /b temp\30_test_header_0.bin  + temp\30_test_001F.bin   temp\30_test_0.nes
copy /b temp\30_test_header_1.bin  + temp\30_test_001F.bin   temp\30_test_1.nes
copy /b temp\30_test_header_2.bin  + temp\30_test_001F.bin   temp\30_test_2.nes
copy /b temp\30_test_header_0b.bin + temp\30_test_001F.bin   temp\30_test_0b.nes
copy /b temp\30_test_header_1b.bin + temp\30_test_001F.bin   temp\30_test_1b.nes
copy /b temp\30_test_header_2b.bin + temp\30_test_001F.bin   temp\30_test_2b.nes

; REM finish

@echo.
@echo.
@echo Build complete and successful!
@IF NOT "%1"=="" GOTO endbuild
@pause
@GOTO endbuild

:badbuild
@echo.
@echo.
@echo Build error!
@IF NOT "%1"=="" GOTO endbuild
@pause
:endbuild
